P_WRITE_BUF_FLOAT(3)

FUNCTION
p_write_buf_float - Write a floating point number to a buffer.

SYNOPSIS
#include <karma_p.h>

flag p_write_buf_float

(char *buffer, float data)

DESCRIPTION
Write a floating point number to a buffer.

buffer
    A pointer to the buffer. This buffer must be at least 4 bytes long

data
    The data. This must be in host natural byte order. The data will be converted to IEEE network format prior to writing.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/